org.apache.ignite.internal.cache.query.index

## Class IndexQueryProcessor

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.IndexQueryProcessor

    public class IndexQueryProcessor
    extends Object

Processor of `IndexQuery`.

### Constructor Summary

Constructors
Constructor and Description
`IndexQueryProcessor(IndexProcessor idxProc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<K,V> IndexQueryResult<K,V>` `queryLocal(GridCacheContext<K,V> cctx, IndexQueryDesc idxQryDesc, @Nullable IgniteBiPredicate<K,V> filter, IndexQueryContext qryCtx, boolean keepBinary)` Run query on local node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexQueryProcessor

    public IndexQueryProcessor(IndexProcessor idxProc)

### Method Detail

#### queryLocal

    public <K,V> IndexQueryResult<K,V> queryLocal(GridCacheContext<K,V> cctx,
                                                  IndexQueryDesc idxQryDesc,
                                                  @Nullable
                                                  @Nullable IgniteBiPredicate<K,V> filter,
                                                  IndexQueryContext qryCtx,
                                                  boolean keepBinary)
                                           throws IgniteCheckedException

Run query on local node.

Returns:
  Query result that contains data iterator and related metadata.
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022